Package name
dhcp
Date
2012-09-16
Advisory ID
MDVSA-2012:153
Affected versions
MES5 i586 , MES5 x86_64

Problem description

A security issue was identified and fixed in dhcp:

ISC DHCP 4.1.x before 4.1-ESV-R7 and 4.2.x before 4.2.4-P2 allows
remote attackers to cause a denial of service (daemon crash)
in opportunistic circumstances by establishing an IPv6 lease in
an environment where the lease expiration time is later reduced
(CVE-2012-3955).

The updated packages have been patched to correct this issue.

Updated packages

MES5 i586

 d7c53f0bdfb976d7e391ab03ba330f0a  mes5/i586/dhcp-client-4.1.2-0.8mdvmes5.2.i586.rpm
 7114cd0bd9181450e7f870eaecf78b71  mes5/i586/dhcp-common-4.1.2-0.8mdvmes5.2.i586.rpm
 92489f461fb0409f741250572dcd32f9  mes5/i586/dhcp-devel-4.1.2-0.8mdvmes5.2.i586.rpm
 d1e62d5ecc85bce8925187ee43bf7fd4  mes5/i586/dhcp-doc-4.1.2-0.8mdvmes5.2.i586.rpm
 01700c9011875ed4e3f3fee02f1f7d46  mes5/i586/dhcp-relay-4.1.2-0.8mdvmes5.2.i586.rpm
 78f3dfa78a3258ae3fb6e7364819f173  mes5/i586/dhcp-server-4.1.2-0.8mdvmes5.2.i586.rpm 
 3ef70d584592f7c1fcfbc5370d4199cb  mes5/SRPMS/dhcp-4.1.2-0.8mdvmes5.2.src.rpm

MES5 x86_64

 df0e98aa316894f3ca9d846573ea811d  mes5/x86_64/dhcp-client-4.1.2-0.8mdvmes5.2.x86_64.rpm
 2cfc9181bc5f260063a5978b610af003  mes5/x86_64/dhcp-common-4.1.2-0.8mdvmes5.2.x86_64.rpm
 d8c41be05d8506e3ce65f7f501510682  mes5/x86_64/dhcp-devel-4.1.2-0.8mdvmes5.2.x86_64.rpm
 1a875506e6b6e686f75496560e0560ac  mes5/x86_64/dhcp-doc-4.1.2-0.8mdvmes5.2.x86_64.rpm
 1c2ddd51c919b480daf912ed59eadcd2  mes5/x86_64/dhcp-relay-4.1.2-0.8mdvmes5.2.x86_64.rpm
 5b7b0f32cf2e834c68021620c93515a0  mes5/x86_64/dhcp-server-4.1.2-0.8mdvmes5.2.x86_64.rpm 
 3ef70d584592f7c1fcfbc5370d4199cb  mes5/SRPMS/dhcp-4.1.2-0.8mdvmes5.2.src.rpm

References